geode-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (GEODE-3434) Allow the modules to be interoperable with current and older versions of tomcat 7
Date Mon, 14 Aug 2017 17:32:01 GMT

    [ https://issues.apache.org/jira/browse/GEODE-3434?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16126040#comment-16126040
] 

ASF GitHub Bot commented on GEODE-3434:
---------------------------------------

Github user DivineEnder commented on a diff in the pull request:

    https://github.com/apache/geode/pull/712#discussion_r133011336
  
    --- Diff: geode-assembly/src/test/java/org/apache/geode/session/tests/TomcatInstall.java
---
    @@ -131,15 +142,20 @@ public TomcatInstall(TomcatVersion version, ConnectionType connType)
throws Exce
        * within the installation's 'conf' folder, and {@link #updateProperties()} to set
the jar
        * skipping properties needed to speedup container startup.
        */
    -  public TomcatInstall(TomcatVersion version, ConnectionType connType, String installDir)
    -      throws Exception {
    +  public TomcatInstall(TomcatVersion version, ConnectionType connType, String installDir,
    +      String modulesJarLocation, String extraJarsPath) throws Exception {
         // Does download and install from URL
    -    super(installDir, version.getDownloadURL(), connType, "tomcat");
    +    super(installDir, version.getDownloadURL(), connType, "tomcat",
    --- End diff --
    
    Refactor both "tomcat" and DEFAULT_MODULE_LOCATION pass down/up into other constructors


> Allow the modules to be interoperable with current and older versions of tomcat 7 
> ----------------------------------------------------------------------------------
>
>                 Key: GEODE-3434
>                 URL: https://issues.apache.org/jira/browse/GEODE-3434
>             Project: Geode
>          Issue Type: Bug
>          Components: http session
>            Reporter: Jason Huynh
>            Assignee: Jason Huynh
>
> There was a change to the attribute field in tomcat (and we made the necessary changes
in geode session modules), but that does not allow our session modules to work with older
versions of tomcat 7.  We can probably modify the classes to allow use with of the session
module jars across different versions of tomcat 7.
> We should probably add tests that run against older versions of geode to allow backwards
compatibility between a geode server and a session module jar from a previous release.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message